summaryrefslogtreecommitdiffstats
path: root/arduino-term
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2013-08-16 19:30:37 +0200
committerFlorian Pritz <bluewind@xinu.at>2013-08-16 19:30:37 +0200
commit463068b43f573364bf8893da3fdd640414a88523 (patch)
tree7d5d2d49b7708ee46893bc16651af8b0f55e85e1 /arduino-term
parent6694e0c631cde4e64a506301e9aaf41b214fb59d (diff)
downloadbin-463068b43f573364bf8893da3fdd640414a88523.tar.gz
bin-463068b43f573364bf8893da3fdd640414a88523.tar.xz
misc updates
Signed-off-by: Florian Pritz <bluewind@xinu.at>
Diffstat (limited to 'arduino-term')
-rwxr-xr-xarduino-term13
1 files changed, 13 insertions, 0 deletions
diff --git a/arduino-term b/arduino-term
new file mode 100755
index 0000000..fbd3375
--- /dev/null
+++ b/arduino-term
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+if [[ $# < 1 ]]; then
+ echo "usage: $0 <device>"
+ exit
+fi
+
+if [[ ! -e $1 ]]; then
+ echo "$1 not found";
+ exit 1
+fi
+
+socat "file:$1,nonblock,raw,echo=0,b${2:-9600}" "readline"